Name: aqhbci
Summary: The HBCI backend for the Aqbanking library.
Version: 1.0.2beta
Release: 2
Source: http://download.sourceforge.net/aqhbci/%{name}-%{version}.tar.gz
Group: System Environment/Libraries
License: GPL
URL: http://sourceforge.net/projects/aqhbci
Patch: aqhbci-libdir.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext gwenhywfar-devel aqbanking-devel
Obsoletes: openhbci
Prereq: /sbin/ldconfig

%description 
This is the backend for the Aqbanking library which 
implements a client for the German HBCI (Home Banking Computer
Interface) protocol. 

%package devel
Summary: Aqhbci development kit
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: aqbanking-devel
Obsoletes: openhbci-devel
%description devel
This package contains aqhbci-config and header files for writing and
compiling programs using Aqhbci.

%prep
%setup -q
%patch -p1

%build
%configure --disable-static
make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

make DESTDIR=$RPM_BUILD_ROOT install

find $RPM_BUILD_ROOT -name *.la -exec rm -f {} \;

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS README COPYING ChangeLog
%{_libdir}/*.so.*
%{_libdir}/%{name}
%{_libdir}/aqbanking/plugins
%{_datadir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo

%files devel
%defattr(-,root,root)
%{_bindir}/aqhbci-config
%{_bindir}/hbcixml2
%{_includedir}/aqhbci
%{_libdir}/*.so
%{_datadir}/aclocal/aqhbci.m4

%changelog
* Mon Mar  7 2005 Bill Nottingham <notting@redhat.com> 1.0.2beta-2
- rebuild

* Wed Feb  9 2005 Bill Nottingham <notting@redhat.com> 1.0.2beta-1
- initial packaging, adopt upstream spec file
